Stuck on 56 build 52 on Centos 6.9 / No Updates

gent

Registered
Jan 26, 2004
1
0
151
I am running (and stuck at) Cpanel 56.0 (build 52) with CENTOS 6.9 i686 virtuozzo in proxmox 3.3 CT for a long time. Everything works fine, except it no longer upgrades anything over version 56.

There is a message says:
"The last attempt to update cPanel & WHM was blocked."

When I look at the details, it shows:

Reasons for blocked updates.
Please correct these issues and rerun updates
[*]fatal: Newer releases of cPanel & WHM are not compatible with your operating system. Upgrade your OS, or use the Update Preferences screen to select a Long-Term Support release for use with your OS. Please see our OS End of Life policy for more information.
[/LIST]​
What confuses me is that when I look at the install requirements, it says minimum requirements for Cpanel is 6.4 and I am at Centos 6.9.

Is there something I am missing?

Thanks
Gent
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,904
2,236
463
Hi @gent,

It looks like the 32-bit version of CentOS 6 is installed on your system:

I am running (and stuck at) Cpanel 56.0 (build 52) with CENTOS 6.9 i686 virtuozzo in proxmox 3.3 CT
As of cPanel & WHM version 58, we require the use of a 64-bit system. You can find a list of specific upgrade requirements on the following document:

Upgrade Blockers - Version 70 Documentation - cPanel Documentation

The best way to solve this issue is to setup a new server with the 64-bit version of CentOS 7, install cPanel, and then migrate the accounts to the new server per the guide available at:

How to Move All cPanel Accounts from One Server to Another - cPanel Knowledge Base - cPanel Documentation

We're happy to help answer any questions about the migration process.

Thank you.